clear all
close all
clc

format long

%% old
NRTolExpo = -5:-0.5:-8;
NRTol = 10.^(NRTolExpo);
penoExpo  =  5: 0.5: 8;
peno = 10.^(penoExpo);
nx = 20:5:60;
ny =  4:2:16;

length(NRTol)
length(nx)
length(ny)
length(peno)
i = 1;
trainingPoints = zeros(length(NRTol)*length(nx)*length(ny)*length(peno),4);
weights = ones(length(NRTol)*length(nx)*length(ny)*length(peno),1);
for i_NR  = 1:length(NRTol)
for i_nx  = 1:length(nx)
for i_ny  = 1:length(ny)
for i_peno= 1:length(peno)
    trainingPoints(i,:) = [NRTol(i_NR), nx(i_nx), ny(i_ny), peno(i_peno)]; 
    i = i+1;
end
end
end
end
fid = fopen('numericalSATrainingPoints.ascii', 'wt');
for i = 1:length(NRTol)*length(nx)*length(ny)*length(peno)
    fprintf(fid,'%e ',trainingPoints(i,1));
    fprintf(fid,'%d ',trainingPoints(i,2));
    fprintf(fid,'%d ',trainingPoints(i,3));
    fprintf(fid,'%e \n',trainingPoints(i,4));
end
fclose(fid)
%save numericalSATrainingPoints.ascii trainingPoints -ASCII -DOUBLE;
save numericalSAWeights.ascii weights -ASCII -DOUBLE;

clear all
close all


%% new
NRTolExpo = linspace(-4,-5,5);
NRTol = 10.^(NRTolExpo);

penoExpo  =  linspace(5,6,5);
peno = 10.^(penoExpo);
peta = peno/10;

PEASExpo = linspace(-6,-7,5);
PEAS = 10.^(PEASExpo);

ny =  6:2:12;
nx = ny*10;

i = 1;
trainingPoints = zeros(length(NRTol)*length(peno)*length(PEAS)*length(ny),6);
weights = ones(length(NRTol)*length(peno)*length(PEAS)*length(ny),1);
for i_NR  = 1:length(NRTol)
for i_peno= 1:length(peno)
for i_PEAS  = 1:length(PEAS)
for i_ny  = 1:length(ny)
    trainingPoints(i,:) = [NRTol(i_NR), peno(i_peno), peta(i_peno), PEAS(i_PEAS), nx(i_ny), ny(i_ny)]; 
    i = i+1;
end
end
end
end
 fid = fopen('numericalSATrainingPoints2.ascii', 'wt');
 for i = 1:length(NRTol)*length(peno)*length(PEAS)*length(ny)
     fprintf(fid,'%e ',trainingPoints(i,1));
     fprintf(fid,'%e ',trainingPoints(i,2));
     fprintf(fid,'%e ',trainingPoints(i,3));
     fprintf(fid,'%e ',trainingPoints(i,4));
     fprintf(fid,'%d ',trainingPoints(i,5));
     fprintf(fid,'%d \n',trainingPoints(i,6));
 end
 fclose(fid)
%save numericalSATrainingPoints2.ascii trainingPoints -ASCII -DOUBLE;
save numericalSAWeights2.ascii weights -ASCII -DOUBLE;