#!/usr/bin/env python
# -*- coding: latin-1; -*-

# Copyright 2020 University of Liège
# 
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# 
#     http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.


from __future__ import division
from past.utils import old_div
import numpy as np

def rho(X,a,b):

    mu = 0.
    sigma =1.
    rho = old_div(np.exp(old_div(-(X-mu)**2.,(2.*sigma**2))),(sigma*np.sqrt(2.*np.pi)))
            
    return rho


def rho_max(a,b):

    sigma = 1.

    return old_div(1.,(sigma*np.sqrt(2.*np.pi)))
