#!/usr/bin/env python
# -*- coding: utf-8 -*-

# Copyright 2020 University of Liège
# 
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# 
#     http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.


import numpy as np

def my_next(p,i,M,d):

    i_zero = np.zeros((d,), dtype =np.int)
    i_one = np.ones((d,), dtype =np.int)

    i = i + i_one

    while np.all(i != i_zero):
        i[p] = i[p] + 1;
        if i[p] > M[p]:
            if p==(d-1):
                i= - i_one
                return p, i
            i[p] = 1
            p = p+1
        else:
            p = 0
            return p, i-i_one
