/*
 * Copyright 2020 University of Liège
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef GMM_GMM_H
#define GMM_GMM_H

// This file includes "gmm" without compiler warnings

#ifdef _MSC_VER
#pragma warning(push)
#pragma warning(disable : 4477) // 'sscanf_s' : format string '%s' requires an argument of type
#pragma warning(disable : 4190) // 'cdotu_' has C-linkage specified, but returns UDT 'std::complex<float>'
#endif

#include <gmm/gmm.h>

#ifdef _MSC_VER
#pragma warning(pop)
#endif

#endif //GMM_GMM_H
