# -*- coding: latin-1; -*-
# parameters_file.py:

from wrap import *

def getParameters(_parameters):
    parameters = {}
    parameters['tmax']          = 1.          #sec
    parameters['dtinit']        = 0.01         #sec
    parameters['dtmax']         = 0.1          #sec

    parameters['TempInit']      = 70.0         #°
    parameters['TempFinal']     = 500.0        #°

    parameters['fct_TExp']      = PieceWiseLinearFunction()

    eps=0.0001
    parameters['fct_TExp'].setData(        0.,  1.61572E-005)
    parameters['fct_TExp'].setData(  902.-eps,  1.61572E-005)

    parameters['fct_TExp'].setData(  902.+eps,  8.333333E-06)
    parameters['fct_TExp'].setData(  998.-eps,  8.333333E-06)

    parameters['fct_TExp'].setData(  998.+eps, -2.727273E-05)
    parameters['fct_TExp'].setData( 1053.-eps, -2.727273E-05)

    parameters['fct_TExp'].setData( 1053.+eps,  4.347826E-06)
    parameters['fct_TExp'].setData( 1076.-eps,  4.347826E-06)

    parameters['fct_TExp'].setData( 1076.+eps,  2.371134E-05)
    parameters['fct_TExp'].setData( 1173.-eps,  2.371134E-05)

    parameters['fct_TExp'].setData( 1173.+eps,  2.371134E-05)
    parameters['fct_TExp'].setData(       1e5,  2.371134E-05)


    parameters.update(_parameters)
    return parameters